# Role `sshd` &ndash; configure an SSH server

This role sets up a Debian system so that it can be managed with
Ansible in a reasonable way.

## Version history

### Version 1

First version. Supports `sshd_version`, `sshd_port`, `sshd_host_key`,
`sshd_host_cert`, and `sshd_user_ca_pub`.

# Configure SSH

~~~scenario
given a host running Debian
when I use role sshd
and I use variables from sshd.yml
and I run the playbook
then stdout contains "sshd role version"
~~~

~~~{#sshd.yml .file .yaml}
ansible_python_interpreter: /usr/bin/python3

sshd_version: 1
~~~
